from sqlalchemy import Integer
from dictionaries.versions import views_helper

table_name = 'card'
column_name = 'cardstatus'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_name, Integer, isBigTable = True)

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_name, Integer, isBigTable = True)