from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getRemainDarftBeerTable(meta):
    return Table('images', meta,
        Column('id', String(255), nullable=False, primary_key=True),
        Column('idtype', Integer, nullable=False, primary_key=True),
        Column('usagetype', Integer, nullable=False, primary_key=True),
        Column('hash', String(255), nullable=False),
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getRemainDarftBeerTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getRemainDarftBeerTable(meta))
