from sqlalchemy.dialects.mysql.pyodbc import MySQLDialect
from documents.versions import dump

def upgrade(migrate_engine):
    if isinstance(migrate_engine.connect().dialect, MySQLDialect):
        dump.dropTriggers(migrate_engine)
        dump.createTriggers(migrate_engine, "(1, 2, 25)")

def downgrade(migrate_engine):
    if isinstance(migrate_engine.connect().dialect, MySQLDialect):
        dump.dropTriggers(migrate_engine)
        dump.createTriggers(migrate_engine, "(1, 2)")
