from sqlalchemy import *
from migrate import *

def getTable(meta):
    return Table('carditem', meta, autoload=True)

def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind
    # migrate_engine to your metadata
    meta = MetaData(bind=migrate_engine)
    purchases=Column('purchases', Integer, nullable=True)
    if 'purchases' not in getTable(meta).columns: 
    	purchases.create(getTable(meta))



def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind=migrate_engine)   
    if 'purchases' in getTable(meta).columns:
    	getTable(meta).c.purchases.drop()
